export declare class EclMenu {
    el: HTMLElement;
    theme: string;
    menuId: string;
    noScript: boolean;
    styleClass: string;
    maxLines: number;
    menuTitle: string;
    ariaLabel: string;
    closeLabel: string;
    backLabel: string;
    siteName: string;
    previousLabel: string;
    nextLabel: string;
    getClass(): string;
    componentDidLoad(): void;
    componentDidRender(): void;
    getAttrs(): {
        'data-expanded': string;
        'data-ecl-menu': boolean;
        'aria-label': string;
        'data-ecl-menu-max-lines': number;
        role: string;
    };
    componentWillLoad(): void;
    render(): any;
}
